﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MS.Entities.Models
{
    public class NozzleTransaction
    {
        /// <summary>
        /// 油枪
        /// </summary>
        public int FuelItemSoldOnPumpNozzleId { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string ItemName { get; set; }
        /// <summary>
        /// 商品单价
        /// </summary>
        public decimal? ItemPrice { get; set; }
        /// <summary>
        /// 销售升数
        /// </summary>
        public decimal? VolumeOnPos { get; set; }

        /// <summary>
        /// 回灌
        /// </summary>
        public decimal? PumpTestVolume { get; set; }
        /// <summary>
        /// 自用
        /// </summary>
        public decimal? SelfUseVolume { get; set; }
        /// <summary>
        /// 应收款
        /// </summary>
        public decimal? TotalPaid { get; set; }
        /// <summary>
        /// 实收款
        /// </summary>
        public decimal? TotalNetAmount { get; set; }
        /// <summary>
        /// 起泵数
        /// </summary>
        public decimal? VolumeOnPumpStart { get; set; }
        /// <summary>
        /// 止泵数
        /// </summary>
        public decimal? VolumeOnPumpEnd { get; set; }
        /// <summary>
        /// 分组id
        /// </summary>
        public Guid GroupId { get; set; }
        /// <summary>
        /// 分组名称
        /// </summary>
        public string GroupName { get; set; }
        /// <summary>
        /// 分组类型
        /// </summary>
        public int? GroupType { get; set; }
        /// <summary>
        /// 父分组
        /// </summary>
        public string ParentGroupName { get; set; }
        /// <summary>
        /// 支付类型id
        /// </summary>
        public int? PaymentId { get; set; }
        /// <summary>
        /// 支付类型名称
        /// </summary>
        public string DisplayName { get; set; }
        /// <summary>
        /// 支付类型名称
        /// </summary>
        public string MopName { get; set; }
        /// <summary>
        /// 订单类型
        /// </summary>
        public int? TransactionType { get; set; }
    }

    public class FuelDetailsDto
    {
        public int? FuelItemSoldOnPumpNozzleId { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string ItemName { get; set; }
        /// <summary>
        /// 商品单价
        /// </summary>
        public decimal? ItemPrice { get; set; }
    }
    public class PumpVolumeSummary
    {
        public int FuelItemSoldOnPumpNozzleId { get; set; }
        /// <summary>
        /// 起泵数
        /// </summary>
        public decimal? VolumeOnPumpStart { get; set; }
        /// <summary>
        /// 止泵数
        /// </summary>
        public decimal? VolumeOnPumpEnd { get; set; }
    }
    public class PumpTransactionSummary
    {
        public int FuelItemSoldOnPumpNozzleId { get; set; } // 假设这是整数类型  

        // 将数值聚合字段作为字符串处理（尽管这通常不是最佳实践）  
        public decimal? VolumeOnPos { get; set; }
        public decimal? PumpTestVolume { get; set; }
        public decimal? SelfUseVolume { get; set; }
        public decimal? TotalPaid { get; set; }
        public decimal? TotalNetAmount { get; set; }

        // 其他非聚合的字符串字段  
        public Guid GroupId { get; set; }
        public string GroupName { get; set; }
        public int? GroupType { get; set; }
        public string ParentGroupName { get; set; }
        public int? PaymentId { get; set; } // 假设这是来自h表的PaymentId，作为字符串处理  
        public string DisplayName { get; set; }
        public string MopName { get; set; }
        public int? TransactionType { get; set; }

        // 构造函数（可选，用于初始化）  
        public PumpTransactionSummary()
        {
            // 可以在这里设置默认值，但通常对于字符串来说，null是默认值  
        }
    }
}
