﻿using Microsoft.AspNetCore.Cors;
using Microsoft.AspNetCore.Mvc;
using MS.Models;
using MS.Services.PosTrxService;
using MS.WebCore.Core;
using SqlSugar;
using System;
using System.Threading.Tasks;

// For more information on enabling Web API for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace MS.WebApi.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class FixFuelItemTagController : ControllerBase
    {
        private readonly IPosTrxLineItemsService _PosTrxLineItemsService;
        public FixFuelItemTagController(IPosTrxLineItemsService posTrxLineItems)
        {
            _PosTrxLineItemsService = posTrxLineItems;
        }
        [Route("fixFuelItemTag")]
        [EnableCors("AllowSpecificOrigin")]
        [HttpPost]
        public async Task<ExecuteResult> fixFuelItemTagAsync( string startTime)
        {
            return await _PosTrxLineItemsService.fixFuelItemTagAsync(startTime);
        }
        [Route("NozzleData")]
        [EnableCors("AllowSpecificOrigin")]
        [HttpPost]
        public async Task<ExecuteResult> NozzleDataAsync()
        {
            return await _PosTrxLineItemsService.InsertNozzleDataRedis();
            // return await _PosTrxLineItemsService.NozzleDataAsync(buid,datetime);
        }
        [Route("fixFuelItemTag2")]
        [EnableCors("AllowSpecificOrigin")]
        [HttpPost]
        public async Task<ExecuteResult> fixFuelItemTag2Async(string startTime, string endTime, string buid)
        {
            return await _PosTrxLineItemsService.fixFuelItemTag2Async(startTime, endTime, buid);
        }
    }
}
